Subject: Re: [PATCH 2.6.11 3/8] tg3: Add msi support for 5750 C0

From: Jeff Garzik <[email-masked]>
Date: Tue, 22 Mar 2005 19:28:41 -0500

Michael Chan wrote:
> "Jeff Garzik" wrote:
> 
> 
>>I would prefer that a new 'static inline' function was created, 
>>containing the core interrupt handler code.
>>
>>This avoids the code duplication you have in this patch, in 
>>new function 
>>tg3_msi().
>>
>>	Jeff
>>
> 
> 
> There are enough subtle differences between tg3_interrupt() and tg3_msi()
> that makes it impractical to create a core inline function to be shared by
> the two. To share a meaningful chunk of the code, it will have to check for
> MSI mode and skip some of the register reads. The reason I created tg3_msi()
> was to avoid all conditionals.

After reviewing the existing tg3.c code again, I agree.  Objection 
withdrawn.

	Jeff